=== debian/changelog ===
maradns (2.0.05-1) experimental; urgency=low

  * New upstream release - security bugfix for CVE-2011-5056
  * Fix flags on freebsd build

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 13 Feb 2012 13:58:20 +0000

maradns (2.0.04-8) experimental; urgency=low

  * Taking note of splitting maradns-docs in mainline
  * Adding patch to enable zoneserver to build on hurd

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 06 Feb 2012 22:27:36 +0000

maradns (2.0.04-7) experimental; urgency=low

  * Enable hardening flags for deadwood (Closes: #657657)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 03 Feb 2012 22:25:53 +0000
