=== debian/rules ===
#!/usr/bin/make -f 

DH_VERBOSE=1
UNAME:=$(shell uname -s)
DATE:=$(shell date)
COMPILED:="${UNAME} system at ${DATE}"
VERSION:=${shell dpkg-parsechangelog -ldebian/changelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1}
ifeq ($(UNAME),Linux)
    MAKEFILE:=build/Makefile.linux
else
    MAKEFILE:=build/Makefile.freebsd
endif
DOC:=maradns-docs
PKG:=maradns
TMP:=$(CURDIR)/debian/$(PKG)
INSTALLDOCS_ARGS:="-XMakefile -X00index.html -Xmake.index -Xjs-manpages -Xvim.cheatsheet"

%:
	dh $@ --with python2

override_dh_auto_configure:
	@echo "System: ${UNAME}"
	@echo "Version: ${VERSION}"
	@echo "Makefile: ${MAKEFILE}"

override_dh_auto_test:

override_dh_clean:
	dh_clean -XMaraDNS

override_dh_auto_clean:
	make -f $(MAKEFILE) clean

override_dh_auto_build:
	cp rng/rng-32bit-tables.h rng/rng-32bit-tables.h.bak
	make -f $(MAKEFILE) all COMPILED=\"${COMPILED}\" VERSION=\"${VERSION}\"
	mv rng/rng-32bit-tables.h.bak rng/rng-32bit-tables.h

override_dh_install:
	dh_install
	mv $(TMP)/usr/sbin/bind2csv2.py $(TMP)/usr/sbin/bind2csv2

override_dh_compress:
	dh_compress -Xexamples

override_dh_installexamples:
	dh_installexamples -XMakefile

override_dh_installman:
	dh_installman
	cd $(CURDIR)/debian/maradns-deadwood/usr/share/man/man1/ && mv Deadwood.1 deadwood.1 && cd -

override_dh_installdocs-arch:
	dh_installdocs ${INSTALLDOCS_ARGS}

override_dh_installdocs-indep:
	dh_installdocs ${INSTALLDOCS_ARGS}
	cp README.Debian $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/README.FromUpstreamToDebian
	mkdir $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
	cp deadwood-*/doc/internals/* $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
	cp deadwood-*/doc/FAQ.txt $(CURDIR)/debian/$(DOC)/usr/share/doc/$(DOC)/deadwood
