## maradns 2.0.06

=== debian/changelog ===
maradns (2.0.06-1) experimental; urgency=low

  * New upstream release
  * Refreshed patches
  * Raised standards version to 3.9.3
    - Updated copyright format
    - Changed /var/run to /run
    - Removed lintian override that is no longer required
  * Added exclusion to dh_clean to avoid corrupting upstream source
  * Raised debhelper version and compat level to 9

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 16 Mar 2012 13:10:28 +0000
