=== deadwood-3.2.05/tools/Makefile ===
all:	duende

duende: duende.c
	$(CC) $(FLAGS) -o duende duende.c

clean:
	rm -f duende
