=== debian/changelog ===
maradns (2.0.09-2) unstable; urgency=medium

  * updated watchfile to check pgp signature (Closes: #740046) 
  * patches updates, thanks to Tobias Frost
    - simplified the deadwood_makefile.patch (Closes: #740049)
    - added patch to generate DwRandPrime.h from PRNG when /dev/urandom missing
  * pgp singnature saved as d/upstream-singning-key.pgp
  * fixed postinst not to violate policy 10.7.3  (Closes: #740332)
    - added preinst for reverting to upstream's mararc
    - added stopping old maradns where init script is wrong
  * patch added to update mararc manpage
 
 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 27 Feb 2014 17:51:34 +0100

maradns (2.0.09-1) unstable; urgency=medium

  * New maintainer (Closes: #739084)
  * New upstream release to unstable
  * Several security bugs (Closes: #739755)
     - security bugfix for CVE-2011-5055, CVE-2011-5056, CVE-2012-0024,
     CVE-2012-1570
     - security bugfix agains blind spoofing attack (no CVE number)
     - security bugfix for packet of death attack (no CVE number)
  * Bump standards to 3.9.5
  * Updated d/postinst to no longer modify conffiles (Closes: #710903)
  * Init script fixed (Closes: #709826)
  * --reinstall no longer kills the process (Closes: #701657)
  * Updated old d/changelog entries, added information when the CVEs were
    fixed: 2.0.06-1, 2.0.04-1, 1.4.11-1, 1.2.12.06-1, 1.2.12.05-1, 1.0.28-1

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 16 Feb 2014 19:36:04 +0100

maradns (2.0.06-2) experimental; urgency=low

  * Fix typo in init scripts (Closes: #668329)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 15 Apr 2012 13:08:35 +0100
