=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: maradns
 Section: net
 Priority: extra
-Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
+Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
 Build-Depends: debhelper (>= 9), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://maradns.org
-Vcs-Git: git://github.com/periapt/maradns.git
-Vcs-Browser: http://github.com/periapt/maradns
+Vcs-Git: git://anonscm.debian.org/collab-maint/maradns.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/maradns.git
 
 Package: maradns
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base,
- duende (>= 1.4.06-3)
-Recommends: ${python:Depends}, maradns-zoneserver
+Depends:
+ adduser,
+ duende (>= 1.4.12),
+ lsb-base,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends: maradns-zoneserver, ${python:Depends}
 Suggests: maradns-deadwood
 Description: simple security-focused authoritative Domain Name Service server
- MaraDNS is easy to configure DNS server that functions as an
+ MaraDNS is an easy to configure DNS server that functions as an
  authoritative domain name server. MaraDNS is
  optimised for serving a small number of domains quickly and
  efficiently. Well suited to host your own private DNS server
@@ -29,9 +33,7 @@
 
 Package: maradns-zoneserver
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, maradns (>= 1.4.06-3)
-Breaks: maradns (<< 1.4.06)
-Replaces: maradns (<< 1.4.06)
+Depends: maradns (>= 2.0.09-1), ${misc:Depends}, ${shlibs:Depends}
 Description: complementary server process to TCP functions for MaraDNS
  The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
  and any DNS query done over TCP instead of UDP. It uses the same configuration
@@ -42,9 +44,9 @@
 
 Package: maradns-deadwood
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: maradns (>= 2.0.04-1)
-Recommends: duende (>= 1.4.06-3)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: maradns (>= 2.0.09-1)
+Recommends: duende (>= 2.0.09-1)
 Enhances: maradns (>= 2.0.04-1)
 Description: simple security-focused recursive Domain Name Service server
  This is an experimental build of the deadwood binary, that is MaraDNS'
@@ -54,11 +56,9 @@
 
 Package: duende
 Section: admin
-Priority: optional 
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: maradns (<< 1.4.06)
-Replaces: maradns (<< 1.4.06)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: logging daemonizer
  The duende program starts a child process as specified on the command
  line and handles some aspects of maintaining it as a daemon process.
@@ -71,9 +71,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: maradns-zoneserver, maradns-deadwood, duende, maradns
-Breaks: maradns (<< 1.4.10-2)
-Replaces: maradns (<< 1.4.10-2)
+Enhances: duende, maradns, maradns-deadwood, maradns-zoneserver
 Recommends: dwww
 Description: upstream documentation for the MaraDNS Domain Name Service server
  MaraDNS is easy to configure DNS server that functions as a recursive and/or
@@ -82,4 +80,3 @@
  man pages including background information on DNS, how to obtain the source
  code, compile and install it. As a result the documentation includes none of
  the packaging tweaks intended to fit MaraDNS into Debian.
-
