=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,14 @@
 override_dh_auto_test:
 
 override_dh_clean:
+	cp $(CURDIR)/debian/DwRandPrime.h $(CURDIR)/deadwood-*/src/
 	dh_clean -XMaraDNS -XDwMararc.c.orig
 
 override_dh_auto_clean:
 	make -f $(MAKEFILE) clean
 
 override_dh_auto_build:
+	cp  $(CURDIR)/deadwood-*/src/DwRandPrime.h $(CURDIR)/debian/DwRandPrime.h
 	cp rng/rng-32bit-tables.h rng/rng-32bit-tables.h.bak
 	make -f $(MAKEFILE) all COMPILED=\"${COMPILED}\" VERSION=\"${VERSION}\"
 	mv rng/rng-32bit-tables.h.bak rng/rng-32bit-tables.h
