## maradns 2.0.11

=== debian/changelog ===
maradns (2.0.11-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Imported Upstream version 2.0.11

  [ Dariusz Dwornikowski ]
  * d/patches: 
    - refreshed all patches for new deadwood version
    - removed generating of random prime on build (Closes: #785536) 
  * d/rules: date taken from changelog (Closes: #785535)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 27 Mar 2015 18:34:08 +0100

maradns (2.0.09-4) unstable; urgency=medium

  [ Tomasz Buchert ]
  * d/preinst: change wheezy upgrade logic (Closes: #774874)
  * d/preinst: make it more robust

  [ Dariusz Dwornikowski ]
  * d/copyright 
   - licence BSD changed name to BSD-2-CLAUSE
   - chnaged dates in copyrights
  * d/control Bump standards to 3.9.6
   - no changes needed
  * d/gbd.conf added

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 21 Mar 2015 19:17:38 +0100

maradns (2.0.09-3) unstable; urgency=medium

  * Fixed termination in preinst (Closes: #748236)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 31 May 2014 09:04:04 +0200
