=== debian/changelog ===
maradns (2.0.13-1) unstable; urgency=medium

  * Imported Upstream version 2.0.13
  * d/patches/: 
    - refreshed all patches for new documentation and 
      deadwood version
  * d/DwRandPrime.h refreshed 
  * wrap-and-sorted

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 03 Oct 2015 09:31:59 +0200

maradns (2.0.12-1) unstable; urgency=medium

  * Imported Upstream version 2.0.12
  * d/patches/: 
    - refreshed all patches for new documentation and 
      deadwood version

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 24 Aug 2015 18:11:30 +0200
