=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 9), python-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9),
+ python-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.6
 Homepage: http://maradns.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/maradns.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/maradns.git
@@ -16,8 +18,11 @@
  lsb-base,
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends: maradns-zoneserver, ${python:Depends}
-Suggests: maradns-deadwood
+Recommends:
+ maradns-zoneserver,
+ ${python:Depends}
+Suggests:
+ maradns-deadwood
 Description: simple security-focused authoritative Domain Name Service server
  MaraDNS is an easy to configure DNS server that functions as an
  authoritative domain name server. MaraDNS is
@@ -33,7 +38,10 @@
 
 Package: maradns-zoneserver
 Architecture: any
-Depends: maradns (>= 2.0.09-1), ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ maradns (>= 2.0.09-1),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: complementary server process to TCP functions for MaraDNS
  The MaraDNS zoneserver listens on port 53/tcp and handles DNS zone transfers
  and any DNS query done over TCP instead of UDP. It uses the same configuration
@@ -44,10 +52,15 @@
 
 Package: maradns-deadwood
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: maradns (>= 2.0.09-1)
-Recommends: duende (>= 2.0.09-1)
-Enhances: maradns (>= 2.0.04-1)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ maradns (>= 2.0.09-1)
+Recommends:
+ duende (>= 2.0.09-1)
+Enhances:
+ maradns (>= 2.0.04-1)
 Description: simple security-focused recursive Domain Name Service server
  This is an experimental build of the deadwood binary, that is MaraDNS'
  recursive domain name server. It will contain support for IPv6. However
@@ -58,7 +71,9 @@
 Section: admin
 Priority: optional
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: logging daemonizer
  The duende program starts a child process as specified on the command
  line and handles some aspects of maintaining it as a daemon process.
@@ -70,9 +85,15 @@
 Package: maradns-docs
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
-Enhances: duende, maradns, maradns-deadwood, maradns-zoneserver
-Recommends: dwww
+Depends:
+ ${misc:Depends}
+Enhances:
+ duende,
+ maradns,
+ maradns-deadwood,
+ maradns-zoneserver
+Recommends:
+ dwww
 Description: upstream documentation for the MaraDNS Domain Name Service server
  MaraDNS is easy to configure DNS server that functions as a recursive and/or
  authoritative name server. This package provides the upstream documentation
