=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 DH_VERBOSE=1
 UNAME:=$(shell uname -s)
-DATE:=$(shell date)
+DATE:=$(shell dpkg-parsechangelog -S Date)
 COMPILED:="${UNAME} system at ${DATE}"
 VERSION:=${shell dpkg-parsechangelog -ldebian/changelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1}
 ifeq ($(UNAME),Linux)
